declare class FeelExpressionLanguage {
    constructor(eventBus: any);
    _eventBus: any;
    /**
     * Determines if the given string is a FEEL expression.
     *
     * @param {string} value
     * @returns {boolean}
     *
     */
    isExpression(value: string): boolean;
    /**
     * Retrieve variable names from a given FEEL expression.
     *
     * @param {string} expression
     * @param {object} [options]
     * @param {string} [options.type]
     *
     * @returns {string[]}
     */
    getVariableNames(expression: string, options?: {
        type?: string;
    }): string[];
    /**
     * Evaluate an expression.
     *
     * @param {string} expression
     * @param {import('../../types').Data} [data]
     *
     * @returns {any}
     */
    evaluate(expression: string, data?: import('../../types').Data): any;
    _getExpressionVariableNames(expression: any): any[];
    _getUnaryVariableNames(unaryTest: any): any[];
}
declare namespace FeelExpressionLanguage {
    const $inject: string[];
}
export default FeelExpressionLanguage;
